// file: $isip/class/stats/MixtureModel/mm_01.cc
// version: $Id: mm_01.cc 6075 2000-12-23 00:33:26Z picone $
//

// isip include files
//
#include "MixtureModel.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: logical error status
//
// this is the debug method
//
boolean MixtureModel::debug(const unichar* msg_a) const {

  // declare local variables
  //
  String value;
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // output the list
  //
  output.debugStr(name(), msg_a, L"displaying models_d:");
  Console::put(output);

  Console::increaseIndention();
  models_d.debug(msg_a);
  Console::decreaseIndention();
  
  // output the vector of weights
  //
  output.debugStr(name(), msg_a, L"displaying weights_d:");
  Console::put(output);

  Console::increaseIndention();
  weights_d.debug(msg_a);
  Console::decreaseIndention();
  
  // output the computation mode
  //
  output.debugStr(name(), msg_a, L"mode_d", MODE_MAP((ushort)mode_d));
  Console::put(output);
  
  // decrease indention
  //
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}
